<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="4.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:fn="http://www.w3.org/2005/xpath-functions"
  xmlns:map="http://www.w3.org/2005/xpath-functions/map"
  xmlns:math="http://www.w3.org/2005/xpath-functions/math"
  xmlns:array="http://www.w3.org/2005/xpath-functions/array"
  xmlns:tm="http://www.datenverdrahten.de/tm"
  xmlns="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="#all"
  expand-text="yes">

  <!-- by T. Meinike 11/22 -->

  <xsl:output method="xml" version="1.0" html-version="5" encoding="UTF-8"
    indent="yes" include-content-type="no" omit-xml-declaration="yes"/>

  <xsl:template name="xsl:initial-template">

    <xsl:text disable-output-escaping="yes">&lt;!DOCTYPE html>&#xA;</xsl:text>
    <html lang="de">
      <head>
        <meta charset="UTF-8"/>
        <title>Separator</title>
        <style>
          * {{ font-family: sans-serif; }}
          p {{ font-weight: bold; }}
        </style>
      </head>
      <body>
        <h1>Separator</h1>

        <p>
          <!-- separator ebenfalls neu für xsl:for-each, bei xsl:value-of war es bereits möglich.  -->
          <xsl:apply-templates select="fn:doc('separator_attribute.xml')/root/test" separator=" | "/>
        </p>
      </body>
    </html>

  </xsl:template>

  <xsl:template match="test">
    <xsl:value-of select="."/>
  </xsl:template>

</xsl:stylesheet>